Skip to main content
Resource Center/VMware Management/vCenter Operations

QueryVCenterResourcePool

QueryVCenterResourcePool

GET/zstack/v1/vcenters/clusters/resourcepools
GET/zstack/v1/vcenters/clusters/resourcepools/{uuid}

Operation ID

QueryVCenterResourcePool

Since

3.3.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • q
    String

    Query conditions.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventories
    ListRequired

    See inventories.

    • uuid
      StringRequired

      The resource UUID.

    • vCenterClusterUuid
      StringRequired

      The v center cluster UUID.

    • name
      StringRequired

      The resource name.

    • morVal
      StringRequired

      The mor val.

    • parentUuid
      StringRequired

      The parent UUID.

    • CPULimit
      LongRequired

      The CPULimit value.

    • CPUOverheadLimit
      LongRequired

      The CPUOverheadLimit value.

    • CPUReservation
      LongRequired

      The CPUReservation value.

    • CPUShares
      LongRequired

      The CPUShares value.

    • CPULevel
      StringRequired

      The CPULevel value.

    • memoryLimit
      LongRequired

      The memory limit.

    • memoryOverheadLimit
      LongRequired

      The memory overhead limit.

    • memoryReservation
      LongRequired

      The memory reservation.

    • memoryShares
      LongRequired

      The memory shares.

    • memoryLevel
      StringRequired

      The memory level.

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.

    • subResources
      ListRequired

      See subResources.

      • uuid
        StringRequired

        The resource UUID.

      • vCenterResourcePoolUuid
        StringRequired

        The v center resource pool UUID.

      • resourceUuid
        StringRequired

        The resource UUID.

      • resourceType
        StringRequired

        The resource type.

      • createDate
        TimestampRequired

        The creation date.

      • lastOpDate
        TimestampRequired

        The last operation date.